Page MenuHomePhabricator

status: gather fixup info at comparison time
ClosedPublic

Authored by marmoute on Nov 24 2021, 6:11 AM.

Details

Summary

This is still racy, but on a much small windows. In addition, the API now make
it possible for it to not be racy. This also unlock other cleanups that we are
about to do regarding mtime ambiguity at gathering time.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.Nov 24 2021, 6:11 AM
Alphare requested changes to this revision.Nov 24 2021, 8:22 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
mercurial/context.py
1820

/s/not/note/

1824

You accidentally a word

1867

Maybe make the keyword explicit to be clearer? normal(f, parentfiledata=pfd)

This revision now requires changes to proceed.Nov 24 2021, 8:22 AM
marmoute added inline comments.Nov 30 2021, 12:25 PM
mercurial/context.py
1867

Actually we cannot pass keyword argument to lambda function.
(The argument becomes mandatory later anyway.)

marmoute edited the summary of this revision. (Show Details)Nov 30 2021, 6:53 PM
marmoute updated this revision to Diff 31226.

Sure, but one of the comments is still missing (at least) a word

marmoute updated this revision to Diff 31235.Dec 1 2021, 8:21 AM
Alphare accepted this revision.Dec 1 2021, 10:15 AM
This revision is now accepted and ready to land.Dec 1 2021, 10:15 AM
This revision was automatically updated to reflect the committed changes.